# Generated by Django 2.2.13 on 2020-08-21 08:20

from django.db import migrations
from perms.tasks import dispatch_mapping_node_tasks


def start_build_users_perm_tree_task(apps, schema_editor):
    User = apps.get_model('users', 'User')
    RebuildUserTreeTask = apps.get_model('perms', 'RebuildUserTreeTask')

    user_ids = User.objects.all().values_list('id', flat=True).distinct()
    RebuildUserTreeTask.objects.bulk_create(
        [RebuildUserTreeTask(user_id=i) for i in user_ids]
    )

    dispatch_mapping_node_tasks.delay()


class Migration(migrations.Migration):

    dependencies = [
        ('perms', '0013_rebuildusertreetask_usergrantedmappingnode'),
    ]

    operations = [
        migrations.RunPython(start_build_users_perm_tree_task)
    ]
